# @journeyapps/typescript-host

## 5.0.3

### Patch Changes

- 193d198: Fix typos in comments

## 5.0.2

### Patch Changes

- 0d38109: Migrated remaning unit tests to vitest, bump vitest@1.6.0 and remove karma, jasmine and webpack.
- Updated dependencies [85c1b27]
- Updated dependencies [0d38109]
- Updated dependencies [0d38109]
  - @journeyapps/core@12.0.0
  - @journeyapps/source-utils@1.0.1

## 5.0.1

### Patch Changes

- Updated dependencies [[`9099d8c3284889ca6d85eed285258d23b9e27656`](https://github.com/journeyapps-platform/journey-js/commit/9099d8c3284889ca6d85eed285258d23b9e27656)]:
  - @journeyapps/core@11.0.0

## 5.0.0

### Major Changes

- [#401](https://github.com/journeyapps-platform/journey-js/pull/401) [`d48fe0e`](https://github.com/journeyapps-platform/journey-js/commit/d48fe0e590a8b58d6bd83d9965ef4db34b9ecc2f) Thanks [@dylanvorster](https://github.com/dylanvorster)! - Split out public and private types

### Patch Changes

- Updated dependencies [[`d48fe0e`](https://github.com/journeyapps-platform/journey-js/commit/d48fe0e590a8b58d6bd83d9965ef4db34b9ecc2f)]:
  - @journeyapps/source-utils@1.0.0
  - @journeyapps/core@10.0.0

## 4.0.0

### Major Changes

- [#399](https://github.com/journeyapps-platform/journey-js/pull/399) [`33e7564`](https://github.com/journeyapps-platform/journey-js/commit/33e75648cf7eba01e7e70c16960cca211bb3b554) Thanks [@dylanvorster](https://github.com/dylanvorster)! - Dont rely on parser-common for component stuff + redesign the core-tree and parser-traverser system

### Patch Changes

- Updated dependencies [[`33e7564`](https://github.com/journeyapps-platform/journey-js/commit/33e75648cf7eba01e7e70c16960cca211bb3b554)]:
  - @journeyapps/core@9.0.0

## 3.4.1

### Patch Changes

- [#397](https://github.com/journeyapps-platform/journey-js/pull/397) [`5496d88`](https://github.com/journeyapps-platform/journey-js/commit/5496d8836255e1b9c05b02676c2f03d85188aa26) Thanks [@Manrich121](https://github.com/Manrich121)! - Bump `journey-lib` deps after renaming `provide-value` attr

- Updated dependencies [[`5496d88`](https://github.com/journeyapps-platform/journey-js/commit/5496d8836255e1b9c05b02676c2f03d85188aa26)]:
  - @journeyapps/core@8.1.1

## 3.4.0

### Minor Changes

- [#394](https://github.com/journeyapps-platform/journey-js/pull/394) [`123a06a`](https://github.com/journeyapps-platform/journey-js/commit/123a06aa65cfa25bac87a2a07e7365d921de3531) Thanks [@Manrich121](https://github.com/Manrich121)! - Updates to types and specs after bumping @journeyapps/parser-schema and @journeyapps/db

### Patch Changes

- [#394](https://github.com/journeyapps-platform/journey-js/pull/394) [`123a06a`](https://github.com/journeyapps-platform/journey-js/commit/123a06aa65cfa25bac87a2a07e7365d921de3531) Thanks [@Manrich121](https://github.com/Manrich121)! - Bump because of dependencies version changes @journeyapps/parser-schema and @journeyapps/parser-common

- Updated dependencies [[`123a06a`](https://github.com/journeyapps-platform/journey-js/commit/123a06aa65cfa25bac87a2a07e7365d921de3531), [`123a06a`](https://github.com/journeyapps-platform/journey-js/commit/123a06aa65cfa25bac87a2a07e7365d921de3531)]:
  - @journeyapps/core@8.1.0

## 3.3.5

### Patch Changes

- Updated dependencies [[`8dcd812`](https://github.com/journeyapps-platform/journey-js/commit/8dcd812f4ea6dad7fa52aff694a753a4ada350ac)]:
  - @journeyapps/core@8.0.0

## 3.3.4

### Patch Changes

- [#383](https://github.com/journeyapps-platform/journey-js/pull/383) [`ef7ae77f`](https://github.com/journeyapps-platform/journey-js/commit/ef7ae77fad3ca3229c68beb3a6e88faec90b32eb) Thanks [@github-actions](https://github.com/apps/github-actions)! - Bump to be tagged correctly

- Updated dependencies [[`ef7ae77f`](https://github.com/journeyapps-platform/journey-js/commit/ef7ae77fad3ca3229c68beb3a6e88faec90b32eb)]:
  - @journeyapps/source-utils@0.2.5
  - @journeyapps/core@7.5.0

## 3.3.3

### Patch Changes

- [#382](https://github.com/journeyapps-platform/journey-js/pull/382) [`832c1fc`](https://github.com/journeyapps-platform/journey-js/commit/832c1fc48cde7253bdaf1a9718d6e85ab02187ba) Thanks [@Manrich121](https://github.com/Manrich121)! - Patch package versions to be correctly tagged with git tag `latest`

- Updated dependencies [[`832c1fc`](https://github.com/journeyapps-platform/journey-js/commit/832c1fc48cde7253bdaf1a9718d6e85ab02187ba)]:
  - @journeyapps/source-utils@0.2.4
  - @journeyapps/core@7.5.0

## 3.3.2

### Patch Changes

- [#372](https://github.com/journeyapps-platform/journey-js/pull/372) [`c0eadb7`](https://github.com/journeyapps-platform/journey-js/commit/c0eadb7abb43f62b89b92731521f8d7f9bc209bb) Thanks [@Manrich121](https://github.com/Manrich121)! - Add changesets and move to using workspace:\*

- Updated dependencies [[`c0eadb7`](https://github.com/journeyapps-platform/journey-js/commit/c0eadb7abb43f62b89b92731521f8d7f9bc209bb), [`c0eadb7`](https://github.com/journeyapps-platform/journey-js/commit/c0eadb7abb43f62b89b92731521f8d7f9bc209bb)]:
  - @journeyapps/core@7.5.0
  - @journeyapps/source-utils@0.2.3
